%define upstream_name    Pod-Elemental
%define upstream_version 0.103004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A Pod =command element
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Mixin::Linewise::Readers)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox) >= 0.100.0
BuildRequires: perl(Moose::Role) >= 0.900.0
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Pod::Eventual::Simple) >= 0.4.0
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(String::Truncate)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a test. How many times do I need to tell you that?

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.103.4-3.mga6
+ Revision: 1032288
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.103.4-2.mga6
+ Revision: 966785
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.103.4-1.mga6
+ Revision: 846801
- update to 0.103004

* Sat Oct 18 2014 umeabot <umeabot> 0.103.1-4.mga5
+ Revision: 787848
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.103.1-3.mga5
+ Revision: 747314
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.103.1-2.mga5
+ Revision: 685999
- Mageia 5 Mass Rebuild

* Wed May 21 2014 sander85 <sander85> 0.103.1-1.mga5
+ Revision: 624717
- update to 0.103001

* Tue Feb 04 2014 shlomif <shlomif> 0.103.0-1.mga5
+ Revision: 582131
- update to 0.103000
- update to 0.102364

* Mon Oct 21 2013 umeabot <umeabot> 0.102.363-2.mga4
+ Revision: 541111
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 sander85 <sander85> 0.102.363-1.mga4
+ Revision: 495130
- update to 0.102363

* Sun Jan 13 2013 umeabot <umeabot> 0.102.362-2.mga3
+ Revision: 371905
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.102.362-1.mga3
+ Revision: 255384
- update to 0.102362
- update to 0.102361

* Tue Jan 25 2011 jquelin <jquelin> 0.102.360-1.mga1
+ Revision: 38704
- mageia rebuild
- imported package perl-Pod-Elemental

